Page MenuHomePhabricator

Improve `webservice status` output
Closed, ResolvedPublic

Description

tools.wikitext-deprecation@tools-bastion-02:~$ webservice status
Your webservice is running

It would be helpful to indicate which webservice thing this is running under (grid/lighttpd, k8s, etc.).

Event Timeline

Legoktm created this task.Feb 15 2017, 9:23 PM
Restricted Application added a project: Cloud-Services. · View Herald TranscriptFeb 15 2017, 9:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
scfc triaged this task as Medium priority.Feb 16 2017, 1:11 PM
scfc moved this task from Triage to Backlog on the Toolforge board.
Abbe98 added a subscriber: Abbe98.Mar 29 2018, 3:20 PM

@bd808 @Andrew Can you tell me how the output should look like? For example -

 toolsbeta.admin@toolsbeta-bastion-01:~$ webservice status
Your webservice is running 
type of webservice - lighttpd

@Nehajha Something like that would be just fine. I might suggest that you keep the output limited to one line so it's a bit easier for automatic jobs to parse or grep. Maybe just 'Your webservice of type xxx is running.'

Would it make sense to the backend (gridengine/kubernetes) as well?

(venv)tools.video2commons-test@tools-bastion-02:~$ webservice status
Your webservice of type python2 is running

Thanks :)

zhuyifei1999 closed this task as Resolved.Aug 8 2018, 10:28 AM
zhuyifei1999 assigned this task to Nehajha.